Hang up a Call
Hang up a specific call.
Request URL
POST {base_url}/{api_path}/call/hangup?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| channel_id | No | String | The call channel ID of the member to be hung up. Note: You can obtain the call channel ID in the (30011) Call State Changed event. |
| paging_number | No | String | The paging number to be hung up. Note: This parameter is required when the third-party application wants to hang up a paging call or an intercom call. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| call_id | String | The unique ID of each call. |
Examples
Request example
Hang up the call of extension 1005.
POST /openapi/v1.0/call/hangup?access_token=Ey7Ty0kL7bpOfPHgpJH2Qq4ozMvU4IEs HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"channel_id": "PJSIP/1005-00000023"
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"call_id": "1648627871.65"
}